cancel
Showing results for 
Search instead for 
Did you mean: 

Rift won't update

denodo
Level 2
I haven't been able to update since 1.35 where I had trouble with that release. I did a complete reinstall and as a result my current version is 1.27? Can someone help this technically challenged grey head solve this issue? Much appreciated  🙂 
0 REPLIES 0